Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLTableElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLTableElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLTableElement, Node

public class JRexHTMLTableElementImpl
extends JRexHTMLElementImpl
implements HTMLTableElement

A class implementing org.w3c.dom.html2.HTMLTableElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLTableElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`HTMLElement` | `createCaption()` Create a new table caption object or return an existing one.
`HTMLElement` | `createTFoot()` Create a table footer row or return an existing one.
`HTMLElement` | `createTHead()` Create a table header row or return an existing one.
`void` | `deleteCaption()` Delete the table caption, if one exists.
`void` | `deleteRow(int index)` Delete a table row.
`void` | `deleteTFoot()` Delete the footer from the table, if one exists.
`void` | `deleteTHead()` Delete the header from the table, if one exists.
`String` | `getAlign()` Specifies the table's position with respect to the rest of the document.
`String` | `getBgColor()` Cell background color.
`String` | `getBorder()` The width of the border around the table.
`HTMLTableCaptionElement` | `getCaption()` Returns the table's `CAPTION`, or void if none exists.
`String` | `getCellPadding()` Specifies the horizontal and vertical space between cell content and cell borders.
`String` | `getCellSpacing()` Specifies the horizontal and vertical separation between cells.
`String` | `getFrame()` Specifies which external table borders to render.
`HTMLCollection` | `getRows()` Returns a collection of all the rows in the table, including all in `THEAD`, `TFOOT`, all `TBODY` elements.
`String` | `getRules()` Specifies which internal table borders to render.
`String` | `getSummary()` Description about the purpose or structure of a table.
`HTMLCollection` | `getTBodies()` Returns a collection of the table bodies (including implicit ones).
`HTMLTableSectionElement` | `getTFoot()` Returns the table's `TFOOT`, or `null` if none exists.
`HTMLTableSectionElement` | `getTHead()` Returns the table's `THEAD`, or `null` if none exists.
`String` | `getWidth()` Specifies the desired table width.
`HTMLElement` | `insertRow(int index)` Insert a new empty row in the table.
`void` | `setAlign(String align)` Specifies the table's position with respect to the rest of the document.
`void` | `setBgColor(String bgColor)` Cell background color.
`void` | `setBorder(String border)` The width of the border around the table.
`void` | `setCaption(HTMLTableCaptionElement caption)` Returns the table's `CAPTION`, or void if none exists.
`void` | `setCellPadding(String cellPadding)` Specifies the horizontal and vertical space between cell content and cell borders.
`void` | `setCellSpacing(String cellSpacing)` Specifies the horizontal and vertical separation between cells.
`void` | `setFrame(String frame)` Specifies which external table borders to render.
`void` | `setRules(String rules)` Specifies which internal table borders to render.
`void` | `setSummary(String summary)` Description about the purpose or structure of a table.
`void` | `setTFoot(HTMLTableSectionElement tFoot)` Returns the table's `TFOOT`, or `null` if none exists.
`void` | `setTHead(HTMLTableSectionElement tHead)` Returns the table's `THEAD`, or `null` if none exists.
`void` | `setWidth(String width)` Specifies the desired table width.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getCaption

    public HTMLTableCaptionElement getCaption()

  Description copied from interface: `HTMLTableElement`
  Returns the table's `CAPTION`, or void if none exists.

  Specified by:
    `getCaption` in interface `HTMLTableElement`

### setCaption

    public void setCaption(HTMLTableCaptionElement caption)
                    throws DOMException

  Description copied from interface: `HTMLTableElement`
  Returns the table's `CAPTION`, or void if none exists.

  Specified by:
    `setCaption` in interface `HTMLTableElement`
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: if the element is not a `CAPTION`.

### getTHead

    public HTMLTableSectionElement getTHead()

  Description copied from interface: `HTMLTableElement`
  Returns the table's `THEAD`, or `null` if none exists.

  Specified by:
    `getTHead` in interface `HTMLTableElement`

### setTHead

    public void setTHead(HTMLTableSectionElement tHead)
                  throws DOMException

  Description copied from interface: `HTMLTableElement`
  Returns the table's `THEAD`, or `null` if none exists.

  Specified by:
    `setTHead` in interface `HTMLTableElement`
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: if the element is not a `THEAD`.

### getTFoot

    public HTMLTableSectionElement getTFoot()

  Description copied from interface: `HTMLTableElement`
  Returns the table's `TFOOT`, or `null` if none exists.

  Specified by:
    `getTFoot` in interface `HTMLTableElement`

### setTFoot

    public void setTFoot(HTMLTableSectionElement tFoot)
                  throws DOMException

  Description copied from interface: `HTMLTableElement`
  Returns the table's `TFOOT`, or `null` if none exists.

  Specified by:
    `setTFoot` in interface `HTMLTableElement`
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: if the element is not a `TFOOT`.

### getRows

    public HTMLCollection getRows()

  Description copied from interface: `HTMLTableElement`
  Returns a collection of all the rows in the table, including all in `THEAD`, `TFOOT`, all `TBODY` elements.

  Specified by:
    `getRows` in interface `HTMLTableElement`

### getTBodies

    public HTMLCollection getTBodies()

  Description copied from interface: `HTMLTableElement`
  Returns a collection of the table bodies (including implicit ones).

  Specified by:
    `getTBodies` in interface `HTMLTableElement`

### getAlign

    public String getAlign()

  Description copied from interface: `HTMLTableElement`
  Specifies the table's position with respect to the rest of the document. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getAlign` in interface `HTMLTableElement`

### setAlign

    public void setAlign(String align)

  Description copied from interface: `HTMLTableElement`
  Specifies the table's position with respect to the rest of the document. See the align attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setAlign` in interface `HTMLTableElement`

### getBgColor

    public String getBgColor()

  Description copied from interface: `HTMLTableElement`
  Cell background color. See the bgcolor attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `getBgColor` in interface `HTMLTableElement`

### setBgColor

    public void setBgColor(String bgColor)

  Description copied from interface: `HTMLTableElement`
  Cell background color. See the bgcolor attribute definition in HTML 4.01. This attribute is deprecated in HTML 4.01.

  Specified by:
    `setBgColor` in interface `HTMLTableElement`

### getBorder

    public String getBorder()

  Description copied from interface: `HTMLTableElement`
  The width of the border around the table. See the border attribute definition in HTML 4.01.

  Specified by:
    `getBorder` in interface `HTMLTableElement`

### setBorder

    public void setBorder(String border)

  Description copied from interface: `HTMLTableElement`
  The width of the border around the table. See the border attribute definition in HTML 4.01.

  Specified by:
    `setBorder` in interface `HTMLTableElement`

### getCellPadding

    public String getCellPadding()

  Description copied from interface: `HTMLTableElement`
  Specifies the horizontal and vertical space between cell content and cell borders. See the cellpadding attribute definition in HTML 4.01.

  Specified by:
    `getCellPadding` in interface `HTMLTableElement`

### setCellPadding

    public void setCellPadding(String cellPadding)

  Description copied from interface: `HTMLTableElement`
  Specifies the horizontal and vertical space between cell content and cell borders. See the cellpadding attribute definition in HTML 4.01.

  Specified by:
    `setCellPadding` in interface `HTMLTableElement`

### getCellSpacing

    public String getCellSpacing()

  Description copied from interface: `HTMLTableElement`
  Specifies the horizontal and vertical separation between cells. See the cellspacing attribute definition in HTML 4.01.

  Specified by:
    `getCellSpacing` in interface `HTMLTableElement`

### setCellSpacing

    public void setCellSpacing(String cellSpacing)

  Description copied from interface: `HTMLTableElement`
  Specifies the horizontal and vertical separation between cells. See the cellspacing attribute definition in HTML 4.01.

  Specified by:
    `setCellSpacing` in interface `HTMLTableElement`

### getFrame

    public String getFrame()

  Description copied from interface: `HTMLTableElement`
  Specifies which external table borders to render. See the frame attribute definition in HTML 4.01.

  Specified by:
    `getFrame` in interface `HTMLTableElement`

### setFrame

    public void setFrame(String frame)

  Description copied from interface: `HTMLTableElement`
  Specifies which external table borders to render. See the frame attribute definition in HTML 4.01.

  Specified by:
    `setFrame` in interface `HTMLTableElement`

### getRules

    public String getRules()

  Description copied from interface: `HTMLTableElement`
  Specifies which internal table borders to render. See the rules attribute definition in HTML 4.01.

  Specified by:
    `getRules` in interface `HTMLTableElement`

### setRules

    public void setRules(String rules)

  Description copied from interface: `HTMLTableElement`
  Specifies which internal table borders to render. See the rules attribute definition in HTML 4.01.

  Specified by:
    `setRules` in interface `HTMLTableElement`

### getSummary

    public String getSummary()

  Description copied from interface: `HTMLTableElement`
  Description about the purpose or structure of a table. See the summary attribute definition in HTML 4.01.

  Specified by:
    `getSummary` in interface `HTMLTableElement`

### setSummary

    public void setSummary(String summary)

  Description copied from interface: `HTMLTableElement`
  Description about the purpose or structure of a table. See the summary attribute definition in HTML 4.01.

  Specified by:
    `setSummary` in interface `HTMLTableElement`

### getWidth

    public String getWidth()

  Description copied from interface: `HTMLTableElement`
  Specifies the desired table width. See the width attribute definition in HTML 4.01.

  Specified by:
    `getWidth` in interface `HTMLTableElement`

### setWidth

    public void setWidth(String width)

  Description copied from interface: `HTMLTableElement`
  Specifies the desired table width. See the width attribute definition in HTML 4.01.

  Specified by:
    `setWidth` in interface `HTMLTableElement`

### createTHead

    public HTMLElement createTHead()

  Description copied from interface: `HTMLTableElement`
  Create a table header row or return an existing one.

  Specified by:
    `createTHead` in interface `HTMLTableElement`
  Returns:
    A new table header element (`THEAD`).

### deleteTHead

    public void deleteTHead()

  Description copied from interface: `HTMLTableElement`
  Delete the header from the table, if one exists.

  Specified by:
    `deleteTHead` in interface `HTMLTableElement`

### createTFoot

    public HTMLElement createTFoot()

  Description copied from interface: `HTMLTableElement`
  Create a table footer row or return an existing one.

  Specified by:
    `createTFoot` in interface `HTMLTableElement`
  Returns:
    A footer element (`TFOOT`).

### deleteTFoot

    public void deleteTFoot()

  Description copied from interface: `HTMLTableElement`
  Delete the footer from the table, if one exists.

  Specified by:
    `deleteTFoot` in interface `HTMLTableElement`

### createCaption

    public HTMLElement createCaption()

  Description copied from interface: `HTMLTableElement`
  Create a new table caption object or return an existing one.

  Specified by:
    `createCaption` in interface `HTMLTableElement`
  Returns:
    A `CAPTION` element.

### deleteCaption

    public void deleteCaption()

  Description copied from interface: `HTMLTableElement`
  Delete the table caption, if one exists.

  Specified by:
    `deleteCaption` in interface `HTMLTableElement`

### insertRow

    public HTMLElement insertRow(int index)
                          throws DOMException

  Description copied from interface: `HTMLTableElement`
  Insert a new empty row in the table. The new row is inserted immediately before and in the same section as the current `index`th row in the table. If `index` is -1 or equal to the number of rows, the new row is appended. In addition, when the table is empty the row is inserted into a `TBODY` which is created and inserted into the table.A table row cannot be empty according to [HTML 4.01].

  Specified by:
    `insertRow` in interface `HTMLTableElement`
  Parameters:
    `index` - The row number where to insert a new row. This index starts from 0 and is relative to the logical order (not document order) of all the rows contained inside the table.
  Returns:
    The newly created row.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than the number of rows or if the index is a negative number other than -1.

### deleteRow

    public void deleteRow(int index)
                   throws DOMException

  Description copied from interface: `HTMLTableElement`
  Delete a table row.

  Specified by:
    `deleteRow` in interface `HTMLTableElement`
  Parameters:
    `index` - The index of the row to be deleted. This index starts from 0 and is relative to the logical order (not document order) of all the rows contained inside the table. If the index is -1 the last row in the table is deleted.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than or equal to the number of rows or if the index is a negative number other than -1.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.